%define upstream_name    Module-Package
%define upstream_version 0.30

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    A Hands on Guide
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(IO::All)
BuildRequires: perl(Module::Install)
BuildRequires: perl(Module::Install::AuthorRequires)
BuildRequires: perl(Module::Install::ManifestSkip)
BuildRequires: perl(Moo)
BuildArch: noarch

%description
This module is a drop-in replacement for the Module::Install manpage. It
does everything Module::Install does, but just a bit better.

Actually this module is simply a wrapper around Module::Install. It
attempts to drastically reduce what goes in a Makefile.PL, while at the
same time, fixing many of the problems that people have had with
Module::Install (and other module frameworks) over the years.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml Changes README LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.300.0-8.mga6
+ Revision: 1030220
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.300.0-7.mga6
+ Revision: 948556
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.300.0-6.mga5
+ Revision: 787998
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.300.0-5.mga5
+ Revision: 746223
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.300.0-4.mga5
+ Revision: 685464
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.300.0-3.mga4
+ Revision: 513024
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.300.0-2.mga3
+ Revision: 369928
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 30 2012 shlomif <shlomif> 0.300.0-1.mga2
+ Revision: 203518
- Correct a typo
- imported package perl-Module-Package


* Tue Dec 27 2011 cpan2dist 0.30-1mga
- initial mageia release, generated with cpan2dist
